diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.h b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
index dec9e95c..1bb9ba66 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.h
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.h
@@ -39,210 +39,93 @@ public:
     // 4.2
     virtual void connect(rti1516e::FederateAmbassador& federateAmbassador,
                          rti1516e::CallbackModel theCallbackModel,
-                         std::wstring const& localSettingsDesignator) throw(rti1516e::ConnectionFailed,
-                                                                            rti1516e::InvalidLocalSettingsDesignator,
-                                                                            rti1516e::UnsupportedCallbackModel,
-                                                                            rti1516e::AlreadyConnected,
-                                                                            rti1516e::CallNotAllowedFromWithinCallback,
-                                                                            rti1516e::RTIinternalError);
+                         std::wstring const& localSettingsDesignator);
 
     // 4.3
-    virtual void disconnect() throw(rti1516e::FederateIsExecutionMember,
-                                    rti1516e::CallNotAllowedFromWithinCallback,
-                                    rti1516e::RTIinternalError);
+    virtual void disconnect();
     // 4.5
     virtual void createFederationExecution(std::wstring const& federationExecutionName,
                                            std::wstring const& fomModule,
                                            std::wstring const& logicalTimeImplementationName
-                                           = L"") throw(rti1516e::FederationExecutionAlreadyExists,
-                                                        rti1516e::CouldNotOpenFDD,
-                                                        rti1516e::ErrorReadingFDD,
-                                                        rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                        rti1516e::NotConnected,
-                                                        rti1516e::RTIinternalError);
+                                           = L"");
 
     virtual void createFederationExecution(std::wstring const& federationExecutionName,
                                            std::vector<std::wstring> const& fomModules,
                                            std::wstring const& logicalTimeImplementationName
-                                           = L"") throw(rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                        rti1516e::InconsistentFDD,
-                                                        rti1516e::ErrorReadingFDD,
-                                                        rti1516e::CouldNotOpenFDD,
-                                                        rti1516e::FederationExecutionAlreadyExists,
-                                                        rti1516e::NotConnected,
-                                                        rti1516e::RTIinternalError);
+                                           = L"");
 
     virtual void createFederationExecutionWithMIM(std::wstring const& federationExecutionName,
                                                   std::vector<std::wstring> const& fomModules,
                                                   std::wstring const& mimModule,
                                                   std::wstring const& logicalTimeImplementationName
-                                                  = L"") throw(rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                               rti1516e::InconsistentFDD,
-                                                               rti1516e::ErrorReadingFDD,
-                                                               rti1516e::CouldNotOpenFDD,
-                                                               rti1516e::DesignatorIsHLAstandardMIM,
-                                                               rti1516e::ErrorReadingMIM,
-                                                               rti1516e::CouldNotOpenMIM,
-                                                               rti1516e::FederationExecutionAlreadyExists,
-                                                               rti1516e::NotConnected,
-                                                               rti1516e::RTIinternalError);
+                                                  = L"");
 
     // 4.3
-    virtual void destroyFederationExecution(std::wstring const& federationExecutionName) throw(
-        rti1516e::FederatesCurrentlyJoined,
-        rti1516e::FederationExecutionDoesNotExist,
-        rti1516e::NotConnected,
-        rti1516e::RTIinternalError);
+    virtual void destroyFederationExecution(std::wstring const& federationExecutionName);
 
-    virtual void listFederationExecutions() throw(rti1516e::NotConnected, rti1516e::RTIinternalError);
+    virtual void listFederationExecutions();
 
     // 4.9
     virtual rti1516e::FederateHandle joinFederationExecution(
         std::wstring const& federateType,
         std::wstring const& federationExecutionName,
-        std::vector<std::wstring> const& additionalFomModules) throw(rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                                     rti1516e::FederationExecutionDoesNotExist,
-                                                                     rti1516e::InconsistentFDD,
-                                                                     rti1516e::ErrorReadingFDD,
-                                                                     rti1516e::CouldNotOpenFDD,
-                                                                     rti1516e::SaveInProgress,
-                                                                     rti1516e::RestoreInProgress,
-                                                                     rti1516e::FederateAlreadyExecutionMember,
-                                                                     rti1516e::NotConnected,
-                                                                     rti1516e::CallNotAllowedFromWithinCallback,
-                                                                     rti1516e::RTIinternalError);
+        std::vector<std::wstring> const& additionalFomModules);
 
     virtual rti1516e::FederateHandle joinFederationExecution(
         std::wstring const& federateName,
         std::wstring const& federateType,
         std::wstring const& federationExecutionName,
-        std::vector<std::wstring> const& additionalFomModules) throw(rti1516e::CouldNotCreateLogicalTimeFactory,
-                                                                     rti1516e::FederationExecutionDoesNotExist,
-                                                                     rti1516e::InconsistentFDD,
-                                                                     rti1516e::ErrorReadingFDD,
-                                                                     rti1516e::CouldNotOpenFDD,
-                                                                     rti1516e::SaveInProgress,
-                                                                     rti1516e::RestoreInProgress,
-                                                                     rti1516e::FederateAlreadyExecutionMember,
-                                                                     rti1516e::NotConnected,
-                                                                     rti1516e::CallNotAllowedFromWithinCallback,
-                                                                     rti1516e::RTIinternalError);
+        std::vector<std::wstring> const& additionalFomModules);
 
     // 4.10
     virtual void
-    resignFederationExecution(rti1516e::ResignAction resignAction) throw(rti1516e::InvalidResignAction,
-                                                                         rti1516e::OwnershipAcquisitionPending,
-                                                                         rti1516e::FederateOwnsAttributes,
-                                                                         rti1516e::FederateNotExecutionMember,
-                                                                         rti1516e::NotConnected,
-                                                                         rti1516e::CallNotAllowedFromWithinCallback,
-                                                                         rti1516e::RTIinternalError);
+    resignFederationExecution(rti1516e::ResignAction resignAction);
 
     // 4.11
     virtual void registerFederationSynchronizationPoint(
         std::wstring const& label,
-        rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError);
+        rti1516e::VariableLengthData const& theUserSuppliedTag);
 
     virtual void registerFederationSynchronizationPoint(
         std::wstring const& label,
         rti1516e::VariableLengthData const& theUserSuppliedTag,
-        rti1516e::FederateHandleSet const& syncSet) throw(rti1516e::FederateNotExecutionMember,
-                                                          rti1516e::SaveInProgress,
-                                                          rti1516e::RestoreInProgress,
-                                                          rti1516e::NotConnected,
-                                                          rti1516e::RTIinternalError);
+        rti1516e::FederateHandleSet const& syncSet);
 
     // 4.14
     virtual void synchronizationPointAchieved(std::wstring const& label,
-                                              bool successfully) throw(rti1516e::SynchronizationPointLabelNotAnnounced,
-                                                                       rti1516e::FederateNotExecutionMember,
-                                                                       rti1516e::SaveInProgress,
-                                                                       rti1516e::RestoreInProgress,
-                                                                       rti1516e::NotConnected,
-                                                                       rti1516e::RTIinternalError);
+                                              bool successfully);
 
     // 4.16
-    virtual void requestFederationSave(std::wstring const& label) throw(rti1516e::FederateNotExecutionMember,
-                                                                        rti1516e::SaveInProgress,
-                                                                        rti1516e::RestoreInProgress,
-                                                                        rti1516e::NotConnected,
-                                                                        rti1516e::RTIinternalError);
+    virtual void requestFederationSave(std::wstring const& label);
 
     virtual void requestFederationSave(std::wstring const& label,
-                                       rti1516e::LogicalTime const& theTime) throw(rti1516e::LogicalTimeAlreadyPassed,
-                                                                                   rti1516e::InvalidLogicalTime,
-                                                                                   rti1516e::FederateUnableToUseTime,
-                                                                                   rti1516e::FederateNotExecutionMember,
-                                                                                   rti1516e::SaveInProgress,
-                                                                                   rti1516e::RestoreInProgress,
-                                                                                   rti1516e::NotConnected,
-                                                                                   rti1516e::RTIinternalError);
+                                       rti1516e::LogicalTime const& theTime);
 
     // 4.18
-    virtual void federateSaveBegun() throw(rti1516e::SaveNotInitiated,
-                                           rti1516e::FederateNotExecutionMember,
-                                           rti1516e::RestoreInProgress,
-                                           rti1516e::NotConnected,
-                                           rti1516e::RTIinternalError);
+    virtual void federateSaveBegun();
 
     // 4.19
-    virtual void federateSaveComplete() throw(rti1516e::FederateHasNotBegunSave,
-                                              rti1516e::FederateNotExecutionMember,
-                                              rti1516e::RestoreInProgress,
-                                              rti1516e::NotConnected,
-                                              rti1516e::RTIinternalError);
-
-    virtual void federateSaveNotComplete() throw(rti1516e::FederateHasNotBegunSave,
-                                                 rti1516e::FederateNotExecutionMember,
-                                                 rti1516e::RestoreInProgress,
-                                                 rti1516e::NotConnected,
-                                                 rti1516e::RTIinternalError);
+    virtual void federateSaveComplete();
+
+    virtual void federateSaveNotComplete();
 
     // 4.21
-    virtual void abortFederationSave() throw(rti1516e::FederateNotExecutionMember,
-                                             rti1516e::SaveNotInProgress,
-                                             rti1516e::NotConnected,
-                                             rti1516e::RTIinternalError);
+    virtual void abortFederationSave();
 
     // 4.22
-    virtual void queryFederationSaveStatus() throw(rti1516e::FederateNotExecutionMember,
-                                                   rti1516e::RestoreInProgress,
-                                                   rti1516e::NotConnected,
-                                                   rti1516e::RTIinternalError);
+    virtual void queryFederationSaveStatus();
 
     // 4.24
-    virtual void requestFederationRestore(std::wstring const& label) throw(rti1516e::FederateNotExecutionMember,
-                                                                           rti1516e::SaveInProgress,
-                                                                           rti1516e::RestoreInProgress,
-                                                                           rti1516e::NotConnected,
-                                                                           rti1516e::RTIinternalError);
+    virtual void requestFederationRestore(std::wstring const& label);
 
     // 4.28
-    virtual void federateRestoreComplete() throw(rti1516e::RestoreNotRequested,
-                                                 rti1516e::FederateNotExecutionMember,
-                                                 rti1516e::SaveInProgress,
-                                                 rti1516e::NotConnected,
-                                                 rti1516e::RTIinternalError);
-
-    virtual void federateRestoreNotComplete() throw(rti1516e::RestoreNotRequested,
-                                                    rti1516e::FederateNotExecutionMember,
-                                                    rti1516e::SaveInProgress,
-                                                    rti1516e::NotConnected,
-                                                    rti1516e::RTIinternalError);
+    virtual void federateRestoreComplete();
+
+    virtual void federateRestoreNotComplete();
     // 4.30
-    virtual void abortFederationRestore() throw(rti1516e::RestoreNotInProgress,
-                                                rti1516e::FederateNotExecutionMember,
-                                                rti1516e::NotConnected,
-                                                rti1516e::RTIinternalError);
+    virtual void abortFederationRestore();
     // 4.31
-    virtual void queryFederationRestoreStatus() throw(rti1516e::FederateNotExecutionMember,
-                                                      rti1516e::SaveInProgress,
-                                                      rti1516e::NotConnected,
-                                                      rti1516e::RTIinternalError);
+    virtual void queryFederationRestoreStatus();
 
     /////////////////////////////////////
     // Declaration Management Services //
@@ -251,103 +134,45 @@ public:
     // 5.2
     virtual void publishObjectClassAttributes(
         rti1516e::ObjectClassHandle theClass,
-        rti1516e::AttributeHandleSet const& attributeList) throw(rti1516e::ObjectClassNotDefined,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+        rti1516e::AttributeHandleSet const& attributeList);
 
     // 5.3
-    virtual void unpublishObjectClass(rti1516e::ObjectClassHandle theClass) throw(rti1516e::ObjectClassNotDefined,
-                                                                                  rti1516e::OwnershipAcquisitionPending,
-                                                                                  rti1516e::FederateNotExecutionMember,
-                                                                                  rti1516e::SaveInProgress,
-                                                                                  rti1516e::RestoreInProgress,
-                                                                                  rti1516e::NotConnected,
-                                                                                  rti1516e::RTIinternalError);
+    virtual void unpublishObjectClass(rti1516e::ObjectClassHandle theClass);
 
     virtual void unpublishObjectClassAttributes(
         rti1516e::ObjectClassHandle theClass,
-        rti1516e::AttributeHandleSet const& attributeList) throw(rti1516e::ObjectClassNotDefined,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::OwnershipAcquisitionPending,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+        rti1516e::AttributeHandleSet const& attributeList);
 
     // 5.4
     virtual void
-    publishInteractionClass(rti1516e::InteractionClassHandle theInteraction) throw(rti1516e::InteractionClassNotDefined,
-                                                                                   rti1516e::FederateNotExecutionMember,
-                                                                                   rti1516e::SaveInProgress,
-                                                                                   rti1516e::RestoreInProgress,
-                                                                                   rti1516e::NotConnected,
-                                                                                   rti1516e::RTIinternalError);
+    publishInteractionClass(rti1516e::InteractionClassHandle theInteraction);
 
     // 5.5
-    virtual void unpublishInteractionClass(rti1516e::InteractionClassHandle theInteraction) throw(
-        rti1516e::InteractionClassNotDefined,
-        rti1516e::FederateNotExecutionMember,
-        rti1516e::SaveInProgress,
-        rti1516e::RestoreInProgress,
-        rti1516e::NotConnected,
-        rti1516e::RTIinternalError);
+    virtual void unpublishInteractionClass(rti1516e::InteractionClassHandle theInteraction);
 
     // 5.6
     virtual void
     subscribeObjectClassAttributes(rti1516e::ObjectClassHandle theClass,
                                    rti1516e::AttributeHandleSet const& attributeList,
                                    bool active,
-                                   std::wstring const& updateRateDesignator) throw(rti1516e::ObjectClassNotDefined,
-                                                                                   rti1516e::AttributeNotDefined,
-                                                                                   rti1516e::FederateNotExecutionMember,
-                                                                                   rti1516e::SaveInProgress,
-                                                                                   rti1516e::RestoreInProgress,
-                                                                                   rti1516e::NotConnected,
-                                                                                   rti1516e::RTIinternalError);
+                                   std::wstring const& updateRateDesignator);
 
     // 5.7
     virtual void
-    unsubscribeObjectClass(rti1516e::ObjectClassHandle theClass) throw(rti1516e::ObjectClassNotDefined,
-                                                                       rti1516e::FederateNotExecutionMember,
-                                                                       rti1516e::SaveInProgress,
-                                                                       rti1516e::RestoreInProgress,
-                                                                       rti1516e::NotConnected,
-                                                                       rti1516e::RTIinternalError);
+    unsubscribeObjectClass(rti1516e::ObjectClassHandle theClass);
 
     virtual void unsubscribeObjectClassAttributes(
         rti1516e::ObjectClassHandle theClass,
-        rti1516e::AttributeHandleSet const& attributeList) throw(rti1516e::ObjectClassNotDefined,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError);
+        rti1516e::AttributeHandleSet const& attributeList);
 
     // 5.8
     virtual void subscribeInteractionClass(rti1516e::InteractionClassHandle theClass,
                                            bool active
-                                           = true) throw(rti1516e::InteractionClassNotDefined,
-                                                         rti1516e::FederateServiceInvocationsAreBeingReportedViaMOM,
-                                                         rti1516e::FederateNotExecutionMember,
-                                                         rti1516e::SaveInProgress,
-                                                         rti1516e::RestoreInProgress,
-                                                         rti1516e::NotConnected,
-                                                         rti1516e::RTIinternalError);
+                                           = true);
 
     // 5.9
     virtual void
-    unsubscribeInteractionClass(rti1516e::InteractionClassHandle theClass) throw(rti1516e::InteractionClassNotDefined,
-                                                                                 rti1516e::FederateNotExecutionMember,
-                                                                                 rti1516e::SaveInProgress,
-                                                                                 rti1516e::RestoreInProgress,
-                                                                                 rti1516e::NotConnected,
-                                                                                 rti1516e::RTIinternalError);
+    unsubscribeInteractionClass(rti1516e::InteractionClassHandle theClass);
 
     ////////////////////////////////
     // Object Management Services //
